View Issue Details

This bug affects 1 person(s).
 8
IDProjectCategoryView StatusLast Update
17715Bug reportsExpression Managerpublic2021-12-01 09:28
Reporterholch Assigned Togalads  
PrioritynoneSeveritypartial_block 
Status closedResolutionfixed 
Product Version5.x 
Fixed in Version5.2.x 
Summary17715: Expressions in End URL field create problems
DescriptionWhen including expressions in the END URL field there are usually errors, when you use an if loop to present different URLs based on previous questions for example. Something like:

{if(Participate.NAOK=="A1", "http://www.google.com", "http://www.bing.com")}

This is not a new problem, I recall to have seen this for years but it is still prevalent in 5.1.18+211101 and I am updating to 5.2 now and I guess this is the same.

The current workaround is to create an equation question that determines the URL to redirect to and then pipe it into the END URL field via {equationquestion}.

However, in my opinion this should also work directly in the End URL field, but there it creates some HTML code (spans, etc.) that cause an error on the end page.
Steps To ReproduceSteps to reproduce
------------------------------
(Replace this text with detailed step-by-step instructions on how to reproduce the issue)

Expected result
-------------------------
(Write here what you expected to happen)

Actual result
-----------------
(Write here what happened instead)

TagsNo tags attached.
Bug heat8
Complete LimeSurvey version number (& build)5.1.18+211101
I will donate to the project if issue is resolvedNo
BrowserChrome
Database type & versionMySQL
Server OS (if known)
Webserver software & version (if known)Apache
PHP Version7.x

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

gabrieljenik

gabrieljenik

2021-11-23 13:46

manager   ~67503

This should have been solved with #15992
galads

galads

2021-11-23 14:33

administrator   ~67507

I will test this with this use case. Thanks @gabrieljenik
galads

galads

2021-11-26 09:56

administrator   ~67580

This is fixed by 15992. I will close this report.
holch

holch

2021-11-26 15:00

reporter   ~67587

Thanks guys, will test this soon.
c_schmitz

c_schmitz

2021-12-01 09:28

administrator   ~67620

New version released

Issue History

Date Modified Username Field Change
2021-11-10 23:57 holch New Issue
2021-11-11 09:45 galads Assigned To => galads
2021-11-11 09:45 galads Status new => confirmed
2021-11-23 13:46 gabrieljenik Note Added: 67503
2021-11-23 13:46 gabrieljenik Bug heat 0 => 2
2021-11-23 14:33 galads Note Added: 67507
2021-11-23 14:33 galads Bug heat 2 => 4
2021-11-26 09:56 galads Note Added: 67580
2021-11-26 09:56 galads Status confirmed => resolved
2021-11-26 09:56 galads Resolution open => fixed
2021-11-26 09:56 galads Fixed in Version => 5.2.x
2021-11-26 15:00 holch Note Added: 67587
2021-11-26 15:00 holch Bug heat 4 => 6
2021-12-01 09:28 c_schmitz Note Added: 67620
2021-12-01 09:28 c_schmitz Bug heat 6 => 8
2021-12-01 09:28 c_schmitz Status resolved => closed